# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003 Colin Walters <walters@debian.org>
# Copyright © 2004-2005 Jonas Smedegaard <dr$jones.dk>
# Description: Defines useful variables for Python libraries and programs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.


ifndef _cdbs_bootstrap
_cdbs_scripts_path ?= /usr/lib/cdbs
_cdbs_rules_path ?= /usr/share/cdbs/1/rules
_cdbs_class_path ?= /usr/share/cdbs/1/class
endif

ifndef _cdbs_class_python_distutils_vars
_cdbs_class_python_distutils_vars := 1

# These should reflect the system
DEB_PYTHON_DEFAULT_VERSION := $(shell /usr/bin/python -V 2>&1 | sed 's/^[^0-9]*\([0-9]\+.[0-9]\+\)[^0-9].*/\1/')
DEB_PYTHON_NEXT_VERSION := $(shell expr '$(DEB_PYTHON_DEFAULT_VERSION)' : '[^0-9]*\([0-9]\+\).').$(shell expr '(' '$(DEB_PYTHON_DEFAULT_VERSION)' : '[^0-9]*[0-9]\+.\([0-9]\+\)' ')' + 1)

# Common build options
DEB_PYTHON_SETUP_CMD = setup.py
DEB_PYTHON_CLEAN_ARGS = -a
DEB_PYTHON_BUILD_ARGS = --build-base="$(DEB_BUILDDIR)/build"
DEB_PYTHON_INSTALL_ARGS_ALL = --no-compile -O0
DEB_PYTHON_DESTDIR = debian/$(cdbs_curpkg)

# Properly named Python libraries are preferred
DEB_PYTHON_VERSIONS = 2.1 2.2 2.3 2.4
DEB_PYTHON_REAL_LIB_PACKAGES := $(strip $(filter $(patsubst %,python%%,$(DEB_PYTHON_VERSIONS)),$(DEB_ALL_PACKAGES)))

# Alternatively package simpler packages using default Python
DEB_PYTHON_SIMPLE_PACKAGES := $(strip $(filter python-%,$(DEB_ALL_PACKAGES)))
# Force using a non-default Python for simpler packages
DEB_PYTHON_COMPILE_VERSION = 

endif
